Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hwpf.model
Class FSPA

    java.lang.Object
      org.apache.poi.hwpf.model.FSPA

    public final class FSPA

extends java.lang.Object

File Shape Address structure

Author:
  Squeeself

Field Summary
`static int` | `FSPA_SIZE`

Constructor Summary
`FSPA()`
`FSPA(byte[] bytes, int offset)`

Method Summary
`short` | `getBx()`
`short` | `getBy()`
`int` | `getCTxbx()`
`int` | `getSpid()`
`short` | `getWr()`
`short` | `getWrk()`
`int` | `getXaLeft()`
`int` | `getXaRight()`
`int` | `getYaBottom()`
`int` | `getYaTop()`
`boolean` | `isFAnchorLock()`
`boolean` | `isFBelowText()`
`boolean` | `isFHdr()`
`boolean` | `isFRcaSimple()`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FSPA_SIZE

    public static final int FSPA_SIZE

See Also:
  Constant Field Values

Constructor Detail

### FSPA

    public FSPA()

### FSPA

    public FSPA(byte[] bytes,
                int offset)

Method Detail

### getSpid

    public int getSpid()

### getXaLeft

    public int getXaLeft()

### getYaTop

    public int getYaTop()

### getXaRight

    public int getXaRight()

### getYaBottom

    public int getYaBottom()

### isFHdr

    public boolean isFHdr()

### getBx

    public short getBx()

### getBy

    public short getBy()

### getWr

    public short getWr()

### getWrk

    public short getWrk()

### isFRcaSimple

    public boolean isFRcaSimple()

### isFBelowText

    public boolean isFBelowText()

### isFAnchorLock

    public boolean isFAnchorLock()

### getCTxbx

    public int getCTxbx()

### toByteArray

    public byte[] toByteArray()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.